// SPDX-License-Identifier: Apache-2.0
import ValidatedRequest from "../../../../../../core/validation/ValidatedArgs";
import FormatValidation from "../../../../../in/request/FormatValidation";
export default class ReleaseRequest extends ValidatedRequest {
    securityId;
    targetId;
    lockId;
    constructor({ targetId, lockId, securityId }) {
        super({
            securityId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            targetId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
        });
        this.securityId = securityId;
        this.targetId = targetId;
        this.lockId = lockId;
    }
}
